package com.ym.mec.cms.service;

import java.util.List;

import com.ym.mec.cms.dal.entity.SysNewsType;
import com.ym.mec.cms.dal.entity.SysNewsTypeTree;
import com.ym.mec.common.service.BaseService;

public interface SysNewsTypeService extends BaseService<Integer, SysNewsType> {
	
	List<SysNewsTypeTree> queryTree(Integer parentId);

	//根据父级查询子集
	List<SysNewsTypeTree> queryByParentId(Integer parentId);

	List<SysNewsType> listWithTree(Integer id,String memo);
}